//Source file: D:\\Projects\\src\\yi\\iu\\imgdb\\learn\\FeatureRepresentation.java

package yi.iu.imgdb.learn;

import java.util.*;
import java.io.*;

/**
 * LinkedList of double[]
 */
public class FeatureRepresentation implements Serializable
{
  public double data[];

  /**
   * @param data
   */
  public FeatureRepresentation(double[] data)
  {
   this.data = data;
  }

  public String toString() {
    StringBuffer s = new StringBuffer();
    s.append("[");
    for (int i=0; i<data.length; i++) {
      if (i!=0) s.append(",");
      s.append(data[i]);
    }
    s.append("]");
    return s.toString();

  }
}
